namespace Com.Bocom.OpenApi
{
    public abstract class BocomEncryptRequest<T> : BocomRequest<T> where T : BocomResponse
    {
        public abstract string GetEncryptPolicy();

        public abstract string Encrypt(string data, string key, string encryptType);

        public abstract string GetEncryptKey();
        public abstract string GetEncryptType();
    }
}